Get Run

GET /runs/{id}

Get a run by ID

Path Parameters

id string required
curl -X GET \
-H "x-api-key: dsk_your_api_key" \
https://api.tracore.io/runs/doc_abc123
import { TracoreClient } from '@tracore/sdk';

const client = new TracoreClient({ apiKey: 'dsk_your_api_key' });

const run = await client.runs.get('run_abc123');
console.log(run.status, run.extractedData);
200 Response
{
  "id": "ws_abc123",
  "environmentId": "env_abc123",
  "documentId": "doc_abc123",
  "schemaFamilyId": "sf_abc123",
  "schemaVersionId": "sv_abc123",
  "schemaVersionNumber": 1,
  "schemaHash": "example-value",
  "schemaSnapshot": {
    "key": "value"
  },
  "status": "pending",
  "provider": "mistral",
  "model": "example-value",
  "keySource": "system",
  "inputTokens": 1,
  "outputTokens": 1,
  "totalTokens": 1,
  "errorCode": {},
  "extractedData": {
    "key": "value"
  },
  "confidence": 0.95,
  "errorMessage": null,
  "createdAt": "2024-03-15T10:30:00Z",
  "updatedAt": "2024-03-15T10:30:00Z"
}